> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Crea inoltro

> Crea una regola di inoltro sotto l'account nel percorso.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.it.json POST /v1/public/accounts/{account_id}/forwarding
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/forwarding:
    post:
      tags:
        - public-accounts
        - public-forwarding
      summary: Crea inoltro
      description: Crea una regola di inoltro sotto l'account nel percorso.
      operationId: create_public_forwarding_v1_public_accounts__account_id__forwarding_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccountForwardingCreateRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForwardingDTO'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di validazione
      security:
        - PublicBearerAuth: []
components:
  schemas:
    AccountForwardingCreateRequest:
      additionalProperties: false
      description: >-
        Richiesta per creare una regola di inoltro nell'ambito del percorso
        account.
      properties:
        domain:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Ambito della regola di inoltro come UUID del dominio o nome di
            dominio
          title: Dominio
        target_email:
          description: Indirizzo email di destinazione dell'inoltro
          format: email
          title: Email di destinazione
          type: string
        workspace_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: Ambito dell'area di lavoro UUID per la regola di inoltro
          title: Id area di lavoro
      required:
        - target_email
      title: AccountForwardingCreateRequest
      type: object
    ForwardingDTO:
      properties:
        active:
          description: Se l'inoltro è attivo
          title: attivi
          type: boolean
        created_at:
          description: Timestamp di creazione della regola di forwarding
          title: Creato il
          type: string
        id:
          description: Regola di inoltro UUID
          format: uuid
          title: ID
          type: string
        scope_id:
          description: Risorsa UUID per l'ambito dell'inoltro
          format: uuid
          title: Id ambito
          type: string
        scope_type:
          description: Tipo di ambito della risorsa per la regola di forwarding
          enum:
            - account
            - workspace
            - domain
          title: Tipo ambito
          type: string
        target_email:
          description: Indirizzo email di destinazione dell'inoltro
          title: Email di destinazione
          type: string
        updated_at:
          description: Timestamp dell'ultimo aggiornamento della regola di forwarding
          title: Aggiornato il
          type: string
        verification_expires_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Timestamp di scadenza della verifica
          title: verifica scade alle
        verification_required:
          description: Se è richiesta la verifica del destinatario
          title: verifica richiesto
          type: boolean
        verification_sent_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Timestamp dell'email di verifica inviata
          title: verifica inviato alle
        verification_state:
          description: Stato di verifica del destinatario
          enum:
            - internal
            - pending
            - verified
            - expired
          title: verifica stato
          type: string
        verification_verified_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Timestamp di completamento della verifica
          title: verifica verificato alle
      required:
        - id
        - target_email
        - scope_type
        - scope_id
        - active
        - verification_state
        - verification_required
        - created_at
        - updated_at
      title: ForwardingDTO
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Dettaglio
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Posizione
          type: array
        msg:
          title: Messaggio
          type: string
        type:
          title: Tipo errore
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````